searchNodes=[{"doc":"A game struct and functions for the Hangman Game . The game struct contains the fields game_name , game_state , turns_left , letters and used representing the characteristics of a game in the Hangman Game . Based on the course Elixir for Programmers by Dave Thomas.","ref":"Hangman.Game.html","title":"Hangman.Game","type":"module"},{"doc":"Makes a move by guessing a letter. Examples iex&gt; alias Hangman.Game iex&gt; game = Game . new ( ) iex&gt; Game . make_move ( game , &quot;a&quot; ) . game_state in [ :good_guess , :bad_guess ] true","ref":"Hangman.Game.html#make_move/2","title":"Hangman.Game.make_move/2","type":"function"},{"doc":"Creates a game struct from a game_name and a word to be guessed. The default value for game_name is provided by function random_name/0 and for word by function Hangman.Dictionary.random_word/0 . Examples iex&gt; alias Hangman.Game iex&gt; game = Game . new ( ) iex&gt; game_name_length = String . length ( game . game_name ) iex&gt; { game . game_state , game . turns_left , game_name_length in 4 .. 10 } { :initializing , 7 , true } iex&gt; alias Hangman.Game iex&gt; game = Game . new ( &quot;Mr Smith&quot; ) iex&gt; { game . game_state , game . turns_left , game . game_name } { :initializing , 7 , &quot;Mr Smith&quot; } iex&gt; alias Hangman.Game iex&gt; game = Game . new ( &quot;Wibble&quot; , &quot;wibble&quot; ) iex&gt; { game . game_state , game . turns_left , game . game_name , game . letters } { :initializing , 7 , &quot;Wibble&quot; , ~W[w i b b l e] }","ref":"Hangman.Game.html#new/2","title":"Hangman.Game.new/2","type":"function"},{"doc":"Returns a random name of 4 to 10 characters. Examples iex&gt; alias Hangman.Game iex&gt; for _ &lt;- 0 .. 99 , uniq : true do iex&gt; length = Game . random_name ( ) |&gt; String . length ( ) iex&gt; length in 4 .. 10 iex&gt; end [ true ]","ref":"Hangman.Game.html#random_name/0","title":"Hangman.Game.random_name/0","type":"function"},{"doc":"Returns a tally map externalizing game . Examples iex&gt; alias Hangman.Game iex&gt; game = Game . random_name ( ) |&gt; Game . new ( &quot;anaconda&quot; ) iex&gt; game = Game . make_move ( game , &quot;a&quot; ) iex&gt; tally = Game . tally ( game ) iex&gt; { tally . game_state , tally . turns_left , tally . letters , tally . guesses } { :good_guess , 7 , ~W[a _ a _ _ _ _ a] , ~W[a] }","ref":"Hangman.Game.html#tally/1","title":"Hangman.Game.tally/1","type":"function"},{"doc":"Letter from a to z","ref":"Hangman.Game.html#t:letter/0","title":"Hangman.Game.letter/0","type":"type"},{"doc":"Game name","ref":"Hangman.Game.html#t:name/0","title":"Hangman.Game.name/0","type":"type"},{"doc":"Game state","ref":"Hangman.Game.html#t:state/0","title":"Hangman.Game.state/0","type":"type"},{"doc":"A game struct for the Hangman Game","ref":"Hangman.Game.html#t:t/0","title":"Hangman.Game.t/0","type":"type"},{"doc":"A tally map for the Hangman Game","ref":"Hangman.Game.html#t:tally/0","title":"Hangman.Game.tally/0","type":"type"},{"doc":"Turns left from 7 to 0","ref":"Hangman.Game.html#t:turns_left/0","title":"Hangman.Game.turns_left/0","type":"type"},{"doc":"Underline: _","ref":"Hangman.Game.html#t:underline/0","title":"Hangman.Game.underline/0","type":"type"},{"doc":"A set of used (guessed) letters","ref":"Hangman.Game.html#t:used/0","title":"Hangman.Game.used/0","type":"type"}]